View Issue Details

IDProjectCategoryView StatusLast Update
0000988Main CAcert Websiteweb of trustpublic2015-10-20 20:14
ReporterUli60Assigned ToEva 
PrioritynormalSeverityfeatureReproducibilityN/A
Status needs review & testingResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000988: TTP CAP form deployment
Descriptioncurrent deployment of TTP-assisted-assurance process
defines that ttp-assuree sends a request for ttp-assisted-assurance
to support@c.o that gets moved into the ttpadmins queue or forwarded
into ttpadmins mailing list
one of the appointed ttpadmins picksup the request and prepares
a ttpcap form given by the users email address (to be the
ttp-assurees primary email address of the yet created user account)

the info from assuree + infos about ttpadmin (postal address) will be inserted into the ttpcap form and offered to be printed to pdf by the ttpadmin
ttpadmin sends the prepared pdf ttpcap form to the requesting assuree
who now prints out the pdf and visits a TTP
the TTP now sends the prepared and filled out ttpcap to the postal address given with the ttpcap form
the ttpcap received by the ttpadmin is now the basis of the ttp-assisted-assurance

Additional Informationthe proposed procedure has some advantages and some disadvantages
advantages:
 - the country of the user can be checked (ttp allowed country?)
 - the user account can be checked against existing ttp assurances
   (2nd, 3rd ttp-assisted assurance?) and the process can automaticly
   can display warnings to the ttpadmin if the requirements aren't fulfilled
 - the users data is inserted into the ttpcap as entered into the
   CAcert online account including used primary email address
 - process does not need a check by the TTP to request for the primary email
   address of the user

disadvantage:
 - users data (name, dob, primary email) is disclosed to the ttpadmin
   before the assurance process starts (request for assurance is only given
   by email, not signed on paper at this stage of the process)
   signed paper will be later received by the ttpadmin

TagsNo tags attached.
Reviewed byBenBE
Test Instructions

Relationships

related to 0001112 closed Exchange the text on the TTP page according to the new TTP programm 
related to 0001039 new Problems to create CAP form languages that are not using English letters 
related to 0001216 new Assure Someone Page Broken; TTP Assurer is pushed to make a false statement, assurance clashes regarding F2F confirmation 
child of 0000888 closedNEOatNHNG to add new assurance method TTP 

Activities

Uli60

2011-10-01 14:37

updater  

bug988-20111001.zip (65,210 bytes)

Uli60

2011-10-01 14:43

updater   ~0002562

Last edited: 2011-10-01 14:55

View 2 revisions

sneak preview (case study) for ttpcap deployment
(includes current changes related to wot.php and account.php active on testserver)
to be used on a local developers testserver image only
/includes/account_stuff.php
  that replaces a) ttp info -> /pages/wot/4.php
  that adds new submenue under WoT b) ttpcap -> /pages/wot/16.php
  links

ttpcap preparation:
starts in
/pages/wot/16.php
  transfers to
/pages/wot/17.php
  and continues in
/www/wot.php
  and finishes with
/www/ttpcap.php (includes(/www/ttpcapus.php)

helper functions from:
 /includes/account.php
 /includes/wot.inc.php

multiple ttp assurance methods I've added for debugging purpose only
"TTP assisted assurance #1", "TTP assisted assurance 0000002", "TTP assisted assurance #n", "TTP TOPUP"
for production method has to be limited to
"TTP assisted assurance" and "TTP TOPUP" (or similiar naming) only

INOPIAE

2013-04-26 08:05

updater   ~0003922

I applied a fix to the github:
https://github.com/INOPIAE/CAcert/commit/1cd4426c33f0a624a7c652e69f9ead156bd35764

INOPIAE

2013-09-14 12:10

updater   ~0004317

I applied a new fix to https://github.com/INOPIAE/CAcert/commit/2663878967145d97ab2178fbdea69a92b246aef2

INOPIAE

2013-09-14 16:55

updater   ~0004320

I applied a new fix to https://github.com/INOPIAE/CAcert/commit/a188b3b6a45b9ed44c571ccd079753546a2317c3

INOPIAE

2013-09-14 21:27

updater   ~0004325

I applied a new fix to https://github.com/INOPIAE/CAcert/commit/3d413c4275e8ae070bbad57c484a09d35265064d

Uli60

2013-09-17 22:28

updater   ~0004339

login assurer with TTPadmin flag set
step 1:
- WoT - Assure Someone
at bottom of page: show TTP CAP details
opens new page -> ok

(instructions for TTP admins under
https://wiki.cacert.org/TTP/TTPadmins#task1 created)

fill lines1..lines5 with full postal address (incl. name!) -> ok
select country the assuree comes from -> currently 4 -> ok
click [create TTP CAP pdf file]
=> ok

PDF: page 1 - full addr -> ok
=> ok

page 2: CAcert postal addr -> ok
root cert fingerprints -> ok
line 7. text -> (http://www.cacert.org/policy/CAcertCommunityAgreement.php)
         plz change to .html (according to bug 1131)
=> one minor fix required

page 3:
line 1: Cacert.org (lower a -> upper A) => typo
line 3: same => typo

top 4 ... As the Practice on Names policy ...
        PoN is a guide / document

top 17 inster => insert (typo)
=> minor typos

page 4 (CCA)
CAcert postal addr -> ok
roots fingerprints -> ok

page 6 (CCA cont. (cca page 3))
CPS link .php -> .html (according to bug 1131)
DRP link .php -> .html (according to bug 1131)
Privacy Policy wrong link file:///C|/Tmp/PrivacyPolicy.html
          should be: http://www.cacert.org/policy/PrivacyPolicy.html
Principles link -> ok
=> 3 links to correct

INOPIAE

2013-09-20 06:12

updater   ~0004341

Last edited: 2013-09-20 06:29

View 2 revisions

added new fix to github https://github.com/INOPIAE/CAcert/commit/8fbe6786693a471a789483ff9280525c30ff2ee4
It only fixes the WebDB side not the pdf creation.

INOPIAE

2013-09-20 14:44

updater   ~0004342

Comment to https://bugs.cacert.org/view.php?id=988#c4339
All information from page 4 onwards are created from the orginal CCA document on the server. So changes can be negleted in this bug.

Uli60

2013-09-24 16:00

updater   ~0004350

http://bugs.cacert.org/view.php?id=988#c4342 statement is wrong !
the
page 6 (CCA cont. (cca page 3))
CPS link .php -> .html (according to bug 1131)
DRP link .php -> .html (according to bug 1131)
Privacy Policy wrong link file:///C|/Tmp/PrivacyPolicy.html [^]
          should be: http://www.cacert.org/policy/PrivacyPolicy.html [^]
Principles link -> ok

problem is a problem of bug 988 as the original
http://cacert1.it-sls.de/policy/CAcertCommunityAgreement.html
still has

link 1:
orig cca: https://www.cacert.org/policy/CertificationPracticeStatement.html
 -> ok
pdf cca: http://www.cacert.org/policy/CertificationPracticeStatement.php
 -> not ok

link 2:
orig cca: https://www.cacert.org/policy/DisputeResolutionPolicy.html
 -> ok
pdf cca: http://www.cacert.org/policy/DisputeResolutionPolicy.php
 -> not ok

link 3:
orig cca: https://www.cacert.org/policy/PrivacyPolicy.html
 -> ok
pdf cca: file:///C:/Temp/PrivacyPolicy.html
 -> not ok

link 4:
orig cca: https://svn.cacert.org/CAcert/principles.html
 -> ok
pdf cca: http://svn.cacert.org/CAcert/principles.html
 -> ok

=> needs work

INOPIAE

2013-09-24 19:11

updater   ~0004351

Last edited: 2013-09-24 19:12

View 2 revisions

Comment to https://bugs.cacert.org/view.php?id=988#c4350

As stated before in https://bugs.cacert.org/view.php?id=988#c4342
All information from page 4 onwards are created from the orginal CCA document on the server. So changes can be negleted in this bug.
So the problem with the links needs to be solved by exchanging the CCA document on the server and not as part of this bug fix.

Eva

2013-09-24 22:14

updater   ~0004355

I got to the "assure someone"-page with an TTP-assurer-acc on an assuree-acc that had 0 assurance points and 0 assurances.

I got the option to assure someone face-to-face or TTP-assisted.
Below the assurance-formular appears a link "Show TTP details".

The link shows a formular with information about the ttp- and total assurance and experience points of the assuree (the label there is wrong, but that does not affect the precess which should be testet here).

Below there is a table with the personal informations of the Assuree and a drop-down-menu to select a country.

Afterwards there are 5 lines for the address of the assurer, followed with a button to create a TTP CAP pdf file (I would use some "-" in this label).

The button creates a pdf files with the above information integrated at the correct points.

I did not test the rest of the pdf file.

However I tried to enter a bunch of different symbols in the address-fields. Most of them were added correctly to the pdf-file.

Some very curious and a symbol from the cyrilic-tabel were not shown correctly.
The Symbols I could not read in the PDF were: ṸḘᵆᴭѢƣ
However they appeared marked as unwriteble symbols.

Below the button to create the pdf-file was a back-button wich brought me back to the correct aussurance-page.

I chose "TTP-Assisted", filled in a location and checked the boxes but the "I believe ..." box and added 35 points.

Above the box I skiped there is a text, that I should only check it, if the Assurance was face to face.

When I tried to confirm the assurance I got an error message that I need to check all boxes.

When I had checked all boxes, the assurance was accepted.

!!!!!
!!!Everytime the page was left (or an error-message was added), the dropdown-menu for TTP Assured was reset to Face to Face Meeting.!!!
This ist very annoying and something that is due to create wrong assurances, even if it is no fail for this test.
!!!!!

Afterwards the assurance showed as TTP-Assisted in
- the points overview of the assurer
- the list of assurances got by the assuree
- the list of assurances given by the assurer.

The assurer got a mail about the assurance (TTP was not mentioned).
The assuree got a mail about the assurance (TTP was not mentioned).
==> ok


I tried the same on an account with 1 face to face and 1 ttp assurence with 70 points total.
The points were displayed correctly, and I got the same results (respectively). I did not check the mail of the assuree.
==> ok

I tried the same on an account with 2 ttp assurances and 70 points total.
I could not print the pdf-file, everything else was the same as above.
==> ok

I tried the same on an account with 2 face to face and 1 ttp assurance with 100 points total.
I got the same results as with the last one.
==> ok

I tried the same on an account with only face to face assurances with 100 points total.
I got the same results as with the last one.
==> ok


Overall: ok
(However it would be nice, if the drop-down menu would not reset all the time.

Issue History

Date Modified Username Field Change
2011-09-30 12:29 Uli60 New Issue
2011-09-30 16:53 Uli60 Assigned To => Uli60
2011-09-30 16:53 Uli60 Status new => needs work
2011-09-30 16:54 Uli60 Relationship added child of 0000888
2011-10-01 14:37 Uli60 File Added: bug988-20111001.zip
2011-10-01 14:43 Uli60 Note Added: 0002562
2011-10-01 14:55 Uli60 Note Edited: 0002562 View Revisions
2012-11-29 19:25 INOPIAE Relationship added related to 0001112
2012-12-12 08:16 INOPIAE Assigned To Uli60 => INOPIAE
2012-12-23 10:09 Werner Dworak Relationship added related to 0001039
2013-04-26 08:05 INOPIAE Note Added: 0003922
2013-04-26 08:05 INOPIAE Assigned To INOPIAE => BenBE
2013-04-26 08:05 INOPIAE Status needs work => fix available
2013-09-14 12:10 INOPIAE Note Added: 0004317
2013-09-14 16:55 INOPIAE Note Added: 0004320
2013-09-14 17:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 41e57fd7
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable a188b3b6
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 26638789
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable cf1fbe4a
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 4bbb41f4
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 909271b6
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 8e8c6bda
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable c02d3f05
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 920fd479
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 2eb2258a
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 613c88ca
2013-09-14 17:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 1cd4426c
2013-09-14 17:43 BenBE Reviewed by => BenBE
2013-09-14 17:43 BenBE Status fix available => needs review & testing
2013-09-14 21:27 INOPIAE Note Added: 0004325
2013-09-14 21:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 6546a9d3
2013-09-14 21:40 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 3d413c42
2013-09-16 17:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 7ea3f093
2013-09-16 17:45 INOPIAE Source_changeset_attached => cacert-devel testserver-stable cfd05bef
2013-09-16 22:30 BenBE Source_changeset_attached => cacert-devel testserver-stable 3c1bb3d0
2013-09-16 22:30 BenBE Source_changeset_attached => cacert-devel testserver-stable aa297426
2013-09-16 22:30 BenBE Source_changeset_attached => cacert-devel testserver-stable 9e095d2d
2013-09-16 22:30 BenBE Source_changeset_attached => cacert-devel testserver-stable ac3bd879
2013-09-16 22:30 BenBE Source_changeset_attached => cacert-devel testserver-stable d12b9afb
2013-09-16 22:30 BenBE Source_changeset_attached => cacert-devel testserver-stable 162133bc
2013-09-16 22:30 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 5e641146
2013-09-16 22:35 BenBE Source_changeset_attached => cacert-devel testserver-stable bd26e7e4
2013-09-16 22:35 BenBE Source_changeset_attached => cacert-devel testserver-stable 32e7e549
2013-09-17 20:35 BenBE Source_changeset_attached => cacert-devel testserver-stable ab51f493
2013-09-17 20:35 BenBE Source_changeset_attached => cacert-devel testserver-stable b45075dc
2013-09-17 22:28 Uli60 Note Added: 0004339
2013-09-17 22:30 Uli60 Assigned To BenBE => INOPIAE
2013-09-17 22:30 Uli60 Status needs review & testing => needs work
2013-09-20 06:12 INOPIAE Note Added: 0004341
2013-09-20 06:12 INOPIAE Assigned To INOPIAE => BenBE
2013-09-20 06:12 INOPIAE Status needs work => fix available
2013-09-20 06:29 INOPIAE Note Edited: 0004341 View Revisions
2013-09-20 14:44 INOPIAE Note Added: 0004342
2013-09-20 15:35 BenBE Source_changeset_attached => cacert-devel testserver-stable f6881939
2013-09-20 15:35 BenBE Source_changeset_attached => cacert-devel testserver-stable 94b648a1
2013-09-20 15:35 BenBE Source_changeset_attached => cacert-devel testserver-stable 3f4dbbec
2013-09-20 15:35 BenBE Source_changeset_attached => cacert-devel testserver-stable 148862a4
2013-09-20 15:35 BenBE Source_changeset_attached => cacert-devel testserver-stable a61e7854
2013-09-20 15:35 BenBE Source_changeset_attached => cacert-devel testserver-stable 90a5cb6a
2013-09-20 19:13 BenBE Status fix available => needs review & testing
2013-09-21 06:00 BenBE Assigned To BenBE => dastrath
2013-09-24 16:00 Uli60 Note Added: 0004350
2013-09-24 16:00 Uli60 Assigned To dastrath => INOPIAE
2013-09-24 16:00 Uli60 Status needs review & testing => needs work
2013-09-24 19:11 INOPIAE Note Added: 0004351
2013-09-24 19:11 INOPIAE Assigned To INOPIAE => dastrath
2013-09-24 19:11 INOPIAE Status needs work => needs review & testing
2013-09-24 19:12 BenBE Note Edited: 0004351 View Revisions
2013-09-24 22:14 Eva Note Added: 0004355
2013-10-24 13:38 Uli60 Relationship added related to 0001216
2015-10-20 20:14 BenBE Assigned To dastrath => Eva